diff --git a/spec/classes/rules/icmp_spec.rb b/spec/classes/rules/icmp_spec.rb
index 7ba9885..7c2c107 100644
--- a/spec/classes/rules/icmp_spec.rb
+++ b/spec/classes/rules/icmp_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::icmp' do
@@ -7,14 +9,16 @@ describe 'nftables::rules::icmp' do
 
       context 'default options' do
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-accept_icmpv4').with(
+          expect(subject).to contain_nftables__rule('default_in-accept_icmpv4').with(
             content: 'ip protocol icmp accept',
             order: '10'
           )
         }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-accept_icmpv6').with(
+          expect(subject).to contain_nftables__rule('default_in-accept_icmpv6').with(
             content: 'ip6 nexthdr ipv6-icmp accept',
             order: '10'
           )
@@ -29,20 +33,23 @@ describe 'nftables::rules::icmp' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-accept_icmpv4_echo_request').with(
+          expect(subject).to contain_nftables__rule('default_in-accept_icmpv4_echo_request').with(
             content: 'ip protocol icmp icmp type echo-request limit rate 4/second accept',
             order: '10'
           )
         }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-accept_icmpv4_echo_reply').with(
+          expect(subject).to contain_nftables__rule('default_in-accept_icmpv4_echo_reply').with(
             content: 'ip protocol icmp icmp type echo-reply accept',
             order: '10'
           )
         }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-accept_icmpv6').with(
+          expect(subject).to contain_nftables__rule('default_in-accept_icmpv6').with(
             content: 'ip6 nexthdr ipv6-icmp accept',
             order: '10'
           )
@@ -53,31 +60,35 @@ describe 'nftables::rules::icmp' do
         let(:params) do
           {
             v4_types: ['echo-request limit rate 4/second', 'echo-reply'],
-            v6_types: ['echo-reply', 'nd-router-advert'],
+            v6_types: %w[echo-reply nd-router-advert],
           }
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-accept_icmpv4_echo_request').with(
+          expect(subject).to contain_nftables__rule('default_in-accept_icmpv4_echo_request').with(
             content: 'ip protocol icmp icmp type echo-request limit rate 4/second accept',
             order: '10'
           )
         }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-accept_icmpv4_echo_reply').with(
+          expect(subject).to contain_nftables__rule('default_in-accept_icmpv4_echo_reply').with(
             content: 'ip protocol icmp icmp type echo-reply accept',
             order: '10'
           )
         }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-accept_icmpv6_echo_reply').with(
+          expect(subject).to contain_nftables__rule('default_in-accept_icmpv6_echo_reply').with(
             content: 'ip6 nexthdr ipv6-icmp icmpv6 type echo-reply accept',
             order: '10'
           )
         }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-accept_icmpv6_nd_router_advert').with(
+          expect(subject).to contain_nftables__rule('default_in-accept_icmpv6_nd_router_advert').with(
             content: 'ip6 nexthdr ipv6-icmp icmpv6 type nd-router-advert accept',
             order: '10'
           )
diff --git a/spec/classes/rules/nfs3_spec.rb b/spec/classes/rules/nfs3_spec.rb
index bc53922..7d15585 100644
--- a/spec/classes/rules/nfs3_spec.rb
+++ b/spec/classes/rules/nfs3_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::nfs3' do
diff --git a/spec/classes/rules/nfs_spec.rb b/spec/classes/rules/nfs_spec.rb
index 3733f42..8243958 100644
--- a/spec/classes/rules/nfs_spec.rb
+++ b/spec/classes/rules/nfs_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::nfs' do
diff --git a/spec/classes/rules/node_exporter_spec.rb b/spec/classes/rules/node_exporter_spec.rb
index 7c510a0..40d8d56 100644
--- a/spec/classes/rules/node_exporter_spec.rb
+++ b/spec/classes/rules/node_exporter_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::node_exporter' do
@@ -19,6 +21,7 @@ describe 'nftables::rules::node_exporter' do
 
         it { is_expected.to compile }
         it { is_expected.to contain_nftables__rule('default_in-node_exporter').with_content('tcp dport 100 accept') }
+
         context 'with prometheus_server set' do
           let(:params) do
             super().merge({ prometheus_server: ['127.0.0.1', '::1'] })
diff --git a/spec/classes/rules/out/ceph_client_spec.rb b/spec/classes/rules/out/ceph_client_spec.rb
index f9b5b63..6e440c4 100644
--- a/spec/classes/rules/out/ceph_client_spec.rb
+++ b/spec/classes/rules/out/ceph_client_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::out::ceph_client' do
diff --git a/spec/classes/rules/out/imap_spec.rb b/spec/classes/rules/out/imap_spec.rb
index 7cd33ab..875c220 100644
--- a/spec/classes/rules/out/imap_spec.rb
+++ b/spec/classes/rules/out/imap_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::out::imap' do
diff --git a/spec/classes/rules/out/kerberos_spec.rb b/spec/classes/rules/out/kerberos_spec.rb
index f4af49a..caf3463 100644
--- a/spec/classes/rules/out/kerberos_spec.rb
+++ b/spec/classes/rules/out/kerberos_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::out::kerberos' do
diff --git a/spec/classes/rules/out/nfs3_spec.rb b/spec/classes/rules/out/nfs3_spec.rb
index 3d632ee..23336aa 100644
--- a/spec/classes/rules/out/nfs3_spec.rb
+++ b/spec/classes/rules/out/nfs3_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::out::nfs3' do
diff --git a/spec/classes/rules/out/nfs_spec.rb b/spec/classes/rules/out/nfs_spec.rb
index 2882e96..c78f3e3 100644
--- a/spec/classes/rules/out/nfs_spec.rb
+++ b/spec/classes/rules/out/nfs_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::out::nfs' do
diff --git a/spec/classes/rules/out/openafs_client_spec.rb b/spec/classes/rules/out/openafs_client_spec.rb
index f8c8ac6..a90ab7b 100644
--- a/spec/classes/rules/out/openafs_client_spec.rb
+++ b/spec/classes/rules/out/openafs_client_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::out::openafs_client' do
diff --git a/spec/classes/rules/out/pop3_spec.rb b/spec/classes/rules/out/pop3_spec.rb
index f26b363..d3d5778 100644
--- a/spec/classes/rules/out/pop3_spec.rb
+++ b/spec/classes/rules/out/pop3_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::out::pop3' do
diff --git a/spec/classes/rules/out/puppet_spec.rb b/spec/classes/rules/out/puppet_spec.rb
index 11f5f88..922db5c 100644
--- a/spec/classes/rules/out/puppet_spec.rb
+++ b/spec/classes/rules/out/puppet_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::out::puppet' do
@@ -12,6 +14,7 @@ describe 'nftables::rules::out::puppet' do
         it { is_expected.to compile }
         it { is_expected.to contain_nftables__rule('default_out-puppet-0').with_content('ip daddr 1.2.3.4 tcp dport 8140 accept') }
       end
+
       context 'with different port' do
         let(:params) do
           super().merge({ puppetserver_port: 8141 })
@@ -20,6 +23,7 @@ describe 'nftables::rules::out::puppet' do
         it { is_expected.to compile }
         it { is_expected.to contain_nftables__rule('default_out-puppet-0').with_content('ip daddr 1.2.3.4 tcp dport 8141 accept') }
       end
+
       context 'with ipv6 address' do
         let(:params) do
           { puppetserver: 'fe80::1' }
@@ -28,6 +32,7 @@ describe 'nftables::rules::out::puppet' do
         it { is_expected.to compile }
         it { is_expected.to contain_nftables__rule('default_out-puppet-0').with_content('ip6 daddr fe80::1 tcp dport 8140 accept') }
       end
+
       context 'with ipv6 & ipv4 address' do
         let(:params) do
           { puppetserver: ['fe80::1', '1.2.3.4'] }
diff --git a/spec/classes/rules/out/smtp_client_spec.rb b/spec/classes/rules/out/smtp_client_spec.rb
index 4e4c7db..1fb8898 100644
--- a/spec/classes/rules/out/smtp_client_spec.rb
+++ b/spec/classes/rules/out/smtp_client_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::out::smtp_client' do
diff --git a/spec/classes/rules/out/smtp_spec.rb b/spec/classes/rules/out/smtp_spec.rb
index dc4b2f7..900d781 100644
--- a/spec/classes/rules/out/smtp_spec.rb
+++ b/spec/classes/rules/out/smtp_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::out::smtp' do
diff --git a/spec/classes/rules/qemu_spec.rb b/spec/classes/rules/qemu_spec.rb
index 4bccd30..4738cb0 100644
--- a/spec/classes/rules/qemu_spec.rb
+++ b/spec/classes/rules/qemu_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::qemu' do
@@ -8,58 +10,70 @@ describe 'nftables::rules::qemu' do
 
       context 'default options' do
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-qemu_udp_dns').
+          expect(subject).to contain_nftables__rule('default_in-qemu_udp_dns').
             with_content('iifname "virbr0" udp dport 53 accept')
         }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-qemu_tcp_dns').
+          expect(subject).to contain_nftables__rule('default_in-qemu_tcp_dns').
             with_content('iifname "virbr0" tcp dport 53 accept')
         }
+
         it {
-          is_expected.to contain_nftables__rule('default_in-qemu_dhcpv4').
+          expect(subject).to contain_nftables__rule('default_in-qemu_dhcpv4').
             with_content('iifname "virbr0" meta l4proto udp udp dport 67 accept')
         }
+
         it {
-          is_expected.to contain_nftables__rule('default_fwd-qemu_oip_v4').
+          expect(subject).to contain_nftables__rule('default_fwd-qemu_oip_v4').
             with_content('oifname "virbr0" ip daddr 192.168.122.0/24 ct state related,established accept')
         }
+
         it {
-          is_expected.to contain_nftables__rule('default_fwd-qemu_iip_v4').
+          expect(subject).to contain_nftables__rule('default_fwd-qemu_iip_v4').
             with_content('iifname "virbr0" ip saddr 192.168.122.0/24 accept')
         }
+
         it { is_expected.not_to contain_nftables__rule('default_fwd-qemu_oip_v6') }
         it { is_expected.not_to contain_nftables__rule('default_fwd-qemu_iip_v6') }
+
         it {
-          is_expected.to contain_nftables__rule('default_fwd-qemu_io_internal').
+          expect(subject).to contain_nftables__rule('default_fwd-qemu_io_internal').
             with_content('iifname "virbr0" oifname "virbr0" accept')
         }
+
         it {
-          is_expected.to contain_nftables__rule('POSTROUTING-qemu_ignore_multicast').with(
+          expect(subject).to contain_nftables__rule('POSTROUTING-qemu_ignore_multicast').with(
             content: 'ip saddr 192.168.122.0/24 ip daddr 224.0.0.0/24 return',
             table: 'ip-nat'
           )
         }
+
         it {
-          is_expected.to contain_nftables__rule('POSTROUTING-qemu_ignore_broadcast').with(
+          expect(subject).to contain_nftables__rule('POSTROUTING-qemu_ignore_broadcast').with(
             content: 'ip saddr 192.168.122.0/24 ip daddr 255.255.255.255 return',
             table: 'ip-nat'
           )
         }
+
         it {
-          is_expected.to contain_nftables__rule('POSTROUTING-qemu_masq_tcp').with(
+          expect(subject).to contain_nftables__rule('POSTROUTING-qemu_masq_tcp').with(
             content: 'meta l4proto tcp ip saddr 192.168.122.0/24 ip daddr != 192.168.122.0/24 masquerade to :1024-65535',
             table: 'ip-nat'
           )
         }
+
         it {
-          is_expected.to contain_nftables__rule('POSTROUTING-qemu_masq_udp').with(
+          expect(subject).to contain_nftables__rule('POSTROUTING-qemu_masq_udp').with(
             content: 'meta l4proto udp ip saddr 192.168.122.0/24 ip daddr != 192.168.122.0/24 masquerade to :1024-65535',
             table: 'ip-nat'
           )
         }
+
         it {
-          is_expected.to contain_nftables__rule('POSTROUTING-qemu_masq_ip').with(
+          expect(subject).to contain_nftables__rule('POSTROUTING-qemu_masq_ip').with(
             content: 'ip saddr 192.168.122.0/24 ip daddr != 192.168.122.0/24 masquerade',
             table: 'ip-nat'
           )
@@ -99,20 +113,24 @@ describe 'nftables::rules::qemu' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_fwd-qemu_oip_v4').
+          expect(subject).to contain_nftables__rule('default_fwd-qemu_oip_v4').
             with_content('oifname "virbr0" ip daddr 192.168.122.0/24 ct state related,established accept')
         }
+
         it {
-          is_expected.to contain_nftables__rule('default_fwd-qemu_iip_v4').
+          expect(subject).to contain_nftables__rule('default_fwd-qemu_iip_v4').
             with_content('iifname "virbr0" ip saddr 192.168.122.0/24 accept')
         }
+
         it {
-          is_expected.to contain_nftables__rule('default_fwd-qemu_oip_v6').
+          expect(subject).to contain_nftables__rule('default_fwd-qemu_oip_v6').
             with_content('oifname "virbr0" ip6 daddr 20ac:cafe:1:1::/64 ct state related,established accept')
         }
+
         it {
-          is_expected.to contain_nftables__rule('default_fwd-qemu_iip_v6').
+          expect(subject).to contain_nftables__rule('default_fwd-qemu_iip_v6').
             with_content('iifname "virbr0" ip6 saddr 20ac:cafe:1:1::/64 accept')
         }
       end
@@ -125,8 +143,9 @@ describe 'nftables::rules::qemu' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_fwd-qemu_iip_v4').
+          expect(subject).to contain_nftables__rule('default_fwd-qemu_iip_v4').
             with_content('iifname "vfoo0" ip saddr 192.168.122.0/24 accept')
         }
       end
@@ -139,8 +158,9 @@ describe 'nftables::rules::qemu' do
         end
 
         it { is_expected.to compile }
+
         it {
-          is_expected.to contain_nftables__rule('default_fwd-qemu_iip_v4').
+          expect(subject).to contain_nftables__rule('default_fwd-qemu_iip_v4').
             with_content('iifname "virbr0" ip saddr 172.16.0.0/12 accept')
         }
       end
diff --git a/spec/classes/rules/samba_spec.rb b/spec/classes/rules/samba_spec.rb
index 7e09203..17ea711 100644
--- a/spec/classes/rules/samba_spec.rb
+++ b/spec/classes/rules/samba_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::samba' do
diff --git a/spec/classes/rules/ssh_spec.rb b/spec/classes/rules/ssh_spec.rb
index 06a23c4..a489210 100644
--- a/spec/classes/rules/ssh_spec.rb
+++ b/spec/classes/rules/ssh_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::ssh' do
diff --git a/spec/classes/rules/tor_spec.rb b/spec/classes/rules/tor_spec.rb
index 44081e5..7cccd95 100644
--- a/spec/classes/rules/tor_spec.rb
+++ b/spec/classes/rules/tor_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::tor' do
diff --git a/spec/classes/rules/wireguard_spec.rb b/spec/classes/rules/wireguard_spec.rb
index e9c33d4..5ba9963 100644
--- a/spec/classes/rules/wireguard_spec.rb
+++ b/spec/classes/rules/wireguard_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::wireguard' do
diff --git a/spec/classes/rules_out_dns_spec.rb b/spec/classes/rules_out_dns_spec.rb
index bcf1be2..137620f 100644
--- a/spec/classes/rules_out_dns_spec.rb
+++ b/spec/classes/rules_out_dns_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables' do
@@ -15,17 +17,18 @@ describe 'nftables' do
         end
 
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-dnsudp').with(
-            target:  'nftables-inet-filter-chain-default_out',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-dnsudp').with(
+            target: 'nftables-inet-filter-chain-default_out',
             content: %r{^  udp dport 53 accept$},
-            order:   '50-nftables-inet-filter-chain-default_out-rule-dnsudp-b'
+            order: '50-nftables-inet-filter-chain-default_out-rule-dnsudp-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-dnstcp').with(
-            target:  'nftables-inet-filter-chain-default_out',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-dnstcp').with(
+            target: 'nftables-inet-filter-chain-default_out',
             content: %r{^  tcp dport 53 accept$},
-            order:   '50-nftables-inet-filter-chain-default_out-rule-dnstcp-b'
+            order: '50-nftables-inet-filter-chain-default_out-rule-dnstcp-b'
           )
         }
       end
@@ -42,32 +45,34 @@ describe 'nftables' do
         it { is_expected.to compile }
 
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-dnsudp-0').with(
-            target:  'nftables-inet-filter-chain-default_out',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-dnsudp-0').with(
+            target: 'nftables-inet-filter-chain-default_out',
             content: %r{^  ip daddr 192.0.2.1 udp dport 53 accept$},
-            order:   '50-nftables-inet-filter-chain-default_out-rule-dnsudp-0-b'
+            order: '50-nftables-inet-filter-chain-default_out-rule-dnsudp-0-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-dnstcp-0').with(
-            target:  'nftables-inet-filter-chain-default_out',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-dnstcp-0').with(
+            target: 'nftables-inet-filter-chain-default_out',
             content: %r{^  ip daddr 192.0.2.1 tcp dport 53 accept$},
-            order:   '50-nftables-inet-filter-chain-default_out-rule-dnstcp-0-b'
+            order: '50-nftables-inet-filter-chain-default_out-rule-dnstcp-0-b'
           )
         }
 
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-dnsudp-1').with(
-            target:  'nftables-inet-filter-chain-default_out',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-dnsudp-1').with(
+            target: 'nftables-inet-filter-chain-default_out',
             content: %r{^  ip6 daddr 2001:db8::1 udp dport 53 accept$},
-            order:   '50-nftables-inet-filter-chain-default_out-rule-dnsudp-1-b'
+            order: '50-nftables-inet-filter-chain-default_out-rule-dnsudp-1-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-dnstcp-1').with(
-            target:  'nftables-inet-filter-chain-default_out',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-dnstcp-1').with(
+            target: 'nftables-inet-filter-chain-default_out',
             content: %r{^  ip6 daddr 2001:db8::1 tcp dport 53 accept$},
-            order:   '50-nftables-inet-filter-chain-default_out-rule-dnstcp-1-b'
+            order: '50-nftables-inet-filter-chain-default_out-rule-dnstcp-1-b'
           )
         }
       end
diff --git a/spec/classes/services/dhcpv6_client_spec.rb b/spec/classes/services/dhcpv6_client_spec.rb
index 96ccf8f..1d8a2aa 100644
--- a/spec/classes/services/dhcpv6_client_spec.rb
+++ b/spec/classes/services/dhcpv6_client_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::services::dhcpv6_client' do
diff --git a/spec/classes/services/openafs_client_spec.rb b/spec/classes/services/openafs_client_spec.rb
index f2d944f..13a0d71 100644
--- a/spec/classes/services/openafs_client_spec.rb
+++ b/spec/classes/services/openafs_client_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::services::openafs_client' do
diff --git a/spec/classes/snat4_spec.rb b/spec/classes/snat4_spec.rb
index 5826dfa..22896f2 100644
--- a/spec/classes/snat4_spec.rb
+++ b/spec/classes/snat4_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables' do
@@ -36,68 +38,76 @@ describe 'nftables' do
         it { is_expected.to compile }
 
         it {
-          is_expected.to contain_concat('nftables-ip-nat-chain-POSTROUTING').with(
-            path:           '/etc/nftables/puppet-preflight/ip-nat-chain-POSTROUTING.nft',
-            owner:          'root',
-            group:          'root',
-            mode:           '0640',
+          expect(subject).to contain_concat('nftables-ip-nat-chain-POSTROUTING').with(
+            path: '/etc/nftables/puppet-preflight/ip-nat-chain-POSTROUTING.nft',
+            owner: 'root',
+            group: 'root',
+            mode: '0640',
             ensure_newline: true
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-header').with(
-            target:  'nftables-ip-nat-chain-POSTROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-header').with(
+            target: 'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^chain POSTROUTING \{$},
-            order:   '00'
+            order: '00'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-type').with(
-            target:  'nftables-ip-nat-chain-POSTROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-type').with(
+            target: 'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  type nat hook postrouting priority 100$},
-            order:   '01-nftables-ip-nat-chain-POSTROUTING-rule-type-b'
+            order: '01-nftables-ip-nat-chain-POSTROUTING-rule-type-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-policy').with(
-            target:  'nftables-ip-nat-chain-POSTROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-policy').with(
+            target: 'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  policy accept$},
-            order:   '02-nftables-ip-nat-chain-POSTROUTING-rule-policy-b'
+            order: '02-nftables-ip-nat-chain-POSTROUTING-rule-policy-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-static').with(
-            target:  'nftables-ip-nat-chain-POSTROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-static').with(
+            target: 'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  oifname eth0 snat 198\.51\.100\.1$},
-            order:   '60-nftables-ip-nat-chain-POSTROUTING-rule-static-b'
+            order: '60-nftables-ip-nat-chain-POSTROUTING-rule-static-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-1_1').with(
-            target:  'nftables-ip-nat-chain-POSTROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-1_1').with(
+            target: 'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  oifname eth0 ip saddr 192\.0\.2\.2 snat 198\.51\.100\.3$},
-            order:   '61-nftables-ip-nat-chain-POSTROUTING-rule-1_1-b'
+            order: '61-nftables-ip-nat-chain-POSTROUTING-rule-1_1-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-1_1_smtp').with(
-            target:  'nftables-ip-nat-chain-POSTROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-1_1_smtp').with(
+            target: 'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  ip saddr 192\.0\.2\.2 tcp dport 25 snat 198\.51\.100\.2$},
-            order:   '70-nftables-ip-nat-chain-POSTROUTING-rule-1_1_smtp-b'
+            order: '70-nftables-ip-nat-chain-POSTROUTING-rule-1_1_smtp-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-1_1_wireguard').with(
-            target:  'nftables-ip-nat-chain-POSTROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-1_1_wireguard').with(
+            target: 'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  ip saddr 192\.0\.2\.2 udp dport 51820 snat 198\.51\.100\.2$},
-            order:   '70-nftables-ip-nat-chain-POSTROUTING-rule-1_1_wireguard-b'
+            order: '70-nftables-ip-nat-chain-POSTROUTING-rule-1_1_wireguard-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-footer').with(
-            target:  'nftables-ip-nat-chain-POSTROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-footer').with(
+            target: 'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^\}$},
-            order:   '99'
+            order: '99'
           )
         }
       end
diff --git a/spec/defines/chain_spec.rb b/spec/defines/chain_spec.rb
index 8c531ec..666c9d5 100644
--- a/spec/defines/chain_spec.rb
+++ b/spec/defines/chain_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::chain' do
@@ -17,7 +19,7 @@ describe 'nftables::chain' do
       it { is_expected.to contain_file('/etc/nftables/puppet/inet-filter-chain-MYCHAIN.nft').that_comes_before('Service[nftables]') }
 
       it {
-        is_expected.to contain_concat('nftables-inet-filter-chain-MYCHAIN').with(
+        expect(subject).to contain_concat('nftables-inet-filter-chain-MYCHAIN').with(
           path: '/etc/nftables/puppet-preflight/inet-filter-chain-MYCHAIN.nft',
           owner: 'root',
           group: 'root',
@@ -25,8 +27,9 @@ describe 'nftables::chain' do
           ensure_newline: true
         )
       }
+
       it {
-        is_expected.to contain_file('/etc/nftables/puppet/inet-filter-chain-MYCHAIN.nft').with(
+        expect(subject).to contain_file('/etc/nftables/puppet/inet-filter-chain-MYCHAIN.nft').with(
           ensure: 'file',
           source: '/etc/nftables/puppet-preflight/inet-filter-chain-MYCHAIN.nft',
           mode: '0640',
@@ -34,15 +37,17 @@ describe 'nftables::chain' do
           group: 'root'
         )
       }
+
       it {
-        is_expected.to contain_concat__fragment('nftables-inet-filter-chain-MYCHAIN-header').with(
+        expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-MYCHAIN-header').with(
           order: '00',
           content: "# Start of fragment order:00 MYCHAIN header\nchain MYCHAIN {",
           target: 'nftables-inet-filter-chain-MYCHAIN'
         )
       }
+
       it {
-        is_expected.to contain_concat__fragment('nftables-inet-filter-chain-MYCHAIN-footer').with(
+        expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-MYCHAIN-footer').with(
           order: '99',
           content: "# Start of fragment order:99 MYCHAIN footer\n}",
           target: 'nftables-inet-filter-chain-MYCHAIN'
@@ -57,7 +62,7 @@ describe 'nftables::chain' do
         end
 
         it {
-          is_expected.to contain_concat('nftables-ip6-foo-chain-MYCHAIN').with(
+          expect(subject).to contain_concat('nftables-ip6-foo-chain-MYCHAIN').with(
             path: '/etc/nftables/puppet-preflight/ip6-foo-chain-MYCHAIN.nft',
             owner: 'root',
             group: 'root',
@@ -65,8 +70,9 @@ describe 'nftables::chain' do
             ensure_newline: true
           )
         }
+
         it {
-          is_expected.to contain_file('/etc/nftables/puppet/ip6-foo-chain-MYCHAIN.nft').with(
+          expect(subject).to contain_file('/etc/nftables/puppet/ip6-foo-chain-MYCHAIN.nft').with(
             ensure: 'file',
             source: '/etc/nftables/puppet-preflight/ip6-foo-chain-MYCHAIN.nft',
             mode: '0640',
@@ -74,21 +80,24 @@ describe 'nftables::chain' do
             group: 'root'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip6-foo-chain-MYCHAIN-header').with(
+          expect(subject).to contain_concat__fragment('nftables-ip6-foo-chain-MYCHAIN-header').with(
             order: '00',
             content: "# Start of fragment order:00 MYCHAIN header\nchain MYCHAIN {",
             target: 'nftables-ip6-foo-chain-MYCHAIN'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip6-foo-chain-MYCHAIN-footer').with(
+          expect(subject).to contain_concat__fragment('nftables-ip6-foo-chain-MYCHAIN-footer').with(
             order: '99',
             content: "# Start of fragment order:99 MYCHAIN footer\n}",
             target: 'nftables-ip6-foo-chain-MYCHAIN'
           )
         }
       end
+
       context 'with inject set to 22-foobar' do
         let(:params) do
           {
@@ -97,19 +106,21 @@ describe 'nftables::chain' do
         end
 
         it { is_expected.to contain_nftables__rule('foobar-jump_MYCHAIN') }
+
         it {
-          is_expected.to contain_nftables__rule('foobar-jump_MYCHAIN').with(
+          expect(subject).to contain_nftables__rule('foobar-jump_MYCHAIN').with(
             order: '22',
             content: 'jump MYCHAIN'
           )
         }
+
         context 'with inject_oif set to alpha and inject_oif set to beta' do
           let(:params) do
             super().merge(inject_iif: 'alpha', inject_oif: 'beta')
           end
 
           it {
-            is_expected.to contain_nftables__rule('foobar-jump_MYCHAIN').with(
+            expect(subject).to contain_nftables__rule('foobar-jump_MYCHAIN').with(
               order: '22',
               content: 'iifname alpha oifname beta jump MYCHAIN'
             )
